(defun C:YourFuncOrCmd ( / *error* ss cc ob cv)
  ; get your selection of fabrication objects in someway. I usually do this at the top of my routines that need a Fabrication selection:
  (setq ss (ssget "_I" '((0 . "MAPS_SOLID"))))
  (if (null ss) (setq ss (ssget '((0 . "MAPS_SOLID")))))

  ; Trap potential errors to ensure the notes are always restored
  (defun *error* (msg)
    (HOB:RestoreNotesProperty (ssget "_X" '((0 . "MAPS_SOLID"))))
    (princ msg)
    (princ)
    )

  ;Move the Fab Notes Property value into an LData Notes Variable
  (defun HOB:BackupNotesProperty (ss / o)
    (foreach e (acet-ss-to-list ss)
      (setq o (vlax-ename->vla-object e))
      (if (null(vlax-ldata-get o "Notes" ))
	(vlax-ldata-put o "Notes" (vlax-get-property o "Notes")))))

  ;Reverse the flow from Notes Variable back to Fab Notes Property
  (defun HOB:RestoreNotesProperty (ss / o)
    (foreach e (acet-ss-to-list ss)
      (setq o (vlax-ename->vla-object e))
      (if (not(null(vlax-ldata-get o "Notes" )))
	(vlax-put-property o "Notes" (vlax-ldata-get o "Notes" )))))
  
  (HOB:BackupNotesProperty ss) ; backup the SelectionSets current Note Values

  ; Start of HOB Sample Code - put your code between Start/Stop Sections
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  (setq cc 0)
  (repeat (sslength ss)
    (setq ob (vlax-ename->vla-object(ssname ss cc))
	  cv (atoi(vlax-get-property ob 'ItemNumber))
	  cc (+ cc 1))
    (if (>= cv 1)
      (vlax-put-property ob 'Notes (HOB:NumberToAlpha cv))
      (vlax-put-property ob 'Notes "")
      )
    )
  (executescript (findfile "HOB_NotesToItemNumber.cod") ss)
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  ; Stop of HOB Sample Code - put your code between Start/Stop Sections

  (HOB:RestoreNotesProperty ss) ; Restore the SelectionSets current Note Values
  
  (princ) ; clean exit or your Return value if your making a Function
  )




; Simple routine to convert a number into an Alphabetic equivilant.
; Note that this is only good for 2 digit alphas (702=ZZ) and an item number larger than ZZ is your homework.
(defun HOB:NumberToAlpha (n / ct ch1 ch2)  
  (if (> n 26)
    (progn
      (setq ct 0)
      (while (> n 26)
	(setq ct (+ ct 1)
	      n (- n 26)))))
  (if (not(null ct))
    (setq ch1 (chr (+ ct 64)))
    (setq ch1 ""))
  (if (and (not(null n)) (>= n 1))
    (setq ch2 (chr (+ n 64)))
    (setq ch2 ""))
  (strcat ch1 ch2)
  )

